RENDER_EXPIRED(1)

NAME
render_expired - expires a list of map tiles so that they get re-rendered.

SYNOPSIS
render_expired [options] < expire.list

DESCRIPTION
This manual page documents briefly the render_expired command.

render_expired is a helper utility that takes a list of map tiles from stdin and expires them such that they will get re-rendered. Render_expired has three potential strategies of how to expire map tiles: 1) Render tiles directly: Render_expired can connect to the renderd socket and submit rendering requests for expired tiles directly 2) Delete tiles: Render_expired can delete expired tiles from disk. The next time the tile then gets viewed it will get re-rendered, assuming a dynamic rendering setup like mod_tile is installed 3) Mark tiles as dirty: A dynamic tile rendering system like mod_tile decides if a tile needs re-rendering by comparing the timestamp of the tile with the time of the planet-import-complet timestamp. Render_expired can set the timestamp of a tile back many years, ensuring it is older than the db import time, thus causeing the tile to be considered dirty and in need for re-render.

These three strategies can be combined and applied at different zoom levels. E.g. Zoom level 17-18 get deleted, z11 - z16 get marked dirty and z6 - z10 get rendered directly.

Render_expired takes a list of tiles from stdin which should be expired. The format of the list is one tile per line specified as z/x/y.

1/0/1

1/1/1

1/0/0

1/1/0

render_expired will automatically expand the list to cover the effected tiles at other zoom levels.

OPTIONS
This program follows the usual GNU command line syntax, with long options starting with two dashes (`-'). A summary of options is included below.

-m|--map=MAP
    Specify the style-sheet for which to expire tiles. The default is "default".

-s|--socket=SOCKET|HOSTNAME:PORT
    Specify the location of the renderd socket or hostname and port to connect to.

-n|--num-threads=N
    Specify the number of parallel requests to renderd. Should renderd have less threads active, requests will be queued. The default is 1.

-t|--tile-dir=DIR
    Specify the base directory where the rendered tiles are. The default is '/var/cache/renderd/tiles'

-z|--min-zoom=ZOOM
    Filter input to only render tiles greater than or equal to this zoom level (default is '0').

-Z|--max-zoom=ZOOM
    Filter input to only render tiles less than or equal to this zoom level (default is '18').

-d|--delete-from=ZOOM
    When expiring tiles of ZOOM or higher, delete them instead of re-rendering (default is off)

-T|--touch-from=ZOOM
    When expiring tiles of ZOOM or higher, touch them instead of re-rendering (default is off)

-N|--no-progress
    Disable display of progress messages (default is off)

-h|--help
    Print out a help text for render_expired

-V|--version
    Print out the version number for render_expired

SEE ALSO
renderd(1)

AUTHOR
render_expire was written by OpenStreetMap project members.

This manual page was written by OpenStreetMap authors.